org.apache.tools.ant.taskdefs.condition

## Class ResourceExists

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.taskdefs.condition.ResourceExists

- All Implemented Interfaces:
    java.lang.Cloneable, Condition

      public class ResourceExists
      extends ProjectComponent
      implements Condition

  Condition that checks whether a given resource exists.
  Since:
    Ant 1.8.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceExists()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Resource r)` The resource to test.
    `boolean` | `eval()` Is this condition true?
    `protected void` | `validate()` Argument validation.

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceExists

          public ResourceExists()

  - ### Method Detail

    - #### add

          public void add(Resource r)

      The resource to test.

    - #### validate

          protected void validate()
                           throws BuildException

      Argument validation.
      Throws:
        `BuildException`

    - #### eval

          public boolean eval()
                       throws BuildException

      Description copied from interface: `Condition`
      Is this condition true?
      Specified by:
        `eval` in interface `Condition`
      Returns:
        true if the condition is true
      Throws:
        `BuildException` - if an error occurs